/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\travesty\items\citadelbox.cs
Lines of code: 37
***********************************************************/


using System; 
using Server; 
using Server.Network; 

namespace Server.Items 
{ 
   public class citadelbox : Item 
   { 
      [Constructable] 
      public citadelbox() : base( 2474 ) 
      { 
       Name = "a strange box"; 
	   Movable = false;
      } 
	  
	  
		public override void OnDoubleClick( Mobile from )
		{			
			if(from.InRange(this,1))
			{			
			from.SendMessage("You have been teleported to the dungeon");
			from.MoveToWorld(new Point3D(106,1881,0),Map.Malas);
			}
		}		

      
      public citadelbox( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
		 
		 this.Delete();
      } 
   } 
}